# E:/uas2/Server/MasterServer.cpp File Reference

`#include "Client.h"`
`#include "CommandParser.h"`
`#include "DatFile.h"`
`#include "Job.h"`
`#include "MasterServer.h"`
`#include "RecvPacket.h"`
`#include "WorldManager.h"`
`#include "Database.h"`
`#include "Status.h"`
`#include "cItemModels.h"`
`#include "cWObjectModels.h"`
`#include "TreasureGen.h"`
`#include "cNPCModels.h"`
`#include "cSpell.h"`

## Variables

TreasureGen * | trgen = new TreasureGen()
DWORD | gNPCCount = 0
cNPC * | npc

## Detailed Description

Implements functionality for Master Server thread.

The Master Server controls the loading and unloading of world objects. It also implements basic commands.